Bug 979147 - `kill': Operation not permitted (Errno::EPERM) - haproxy_ctld_daemon.rb:18
`kill': Operation not permitted (Errno::EPERM) - haproxy_ctld_daemon.rb:18
Status: CLOSED NOTABUG
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
All All
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
: SupportQuestion
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 14:33 EDT by tim.de.roock
Modified: 2015-05-14 19:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-08 15:26:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tim.de.roock 2013-06-27 14:33:13 EDT
Description of problem:

his morning our app went down without any obvious reason. Our Logs do not state anything out of the ordinary.

Now wen i try to STOP - Restart via ssh i get this

[finactum-finactumapp.rhcloud.com bin]\> ctl_all stop Stopping services Stopping gear... /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons/application.rb:330:in `kill': Operation not permitted (Errno::EPERM) from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons/application.rb:330:in `stop' from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons/application_group.rb:135:in `block in stop_all' from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons/application_group.rb:131:in `each' from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons/application_group.rb:131:in `stop_all' from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons/controller.rb:74:in `run' from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons.rb:139:in `block in run' from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons/cmdline.rb:105:in `call' from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons/cmdline.rb:105:in `catch_exceptions' from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons.rb:138:in `run' from /var/lib/openshift/5188855c500446001f0000c4/haproxy/usr/bin/haproxy_ctld_daemon.rb:18:in `' An error occurred executing 'gear stop'

As the log states is has got something to do with haproxy, i tried killing the process and restarting the app, but no luck.

I did some modifications to the haproxyconf as stated here https://www.openshift.com/forums/openshift/haproxy-deny-ip 

What is going on?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Mrunal Patel 2013-06-27 15:05:06 EDT
Hi,
Could you provide the following information?

1. what type of app is it? Is it a new v2 app or an old migrated v1 app?

2. List of running processes on the gear.

3. Have you modified the haproxy cfg?

Thanks,
Mrunal
Comment 2 tim.de.roock 2013-07-04 01:50:37 EDT
Mrunal,

1. what type of app is it? Is it a new v2 app or an old migrated v1 app?
I *think* its a v1 app migrated to v2, how would i know?

2. List of running processes on the gear.
nothing special,
- haproxy
- jboss
- psql

3. Have you modified the haproxy cfg?
Yes, as i stated in the original bug description. 

I did some modifications to the haproxyconf as stated here https://www.openshift.com/forums/openshift/haproxy-deny-ip
Comment 3 tim.de.roock 2013-07-04 01:53:02 EDT
Procs:

6617     20834 18907  1 01:51 pts/0    00:00:00 ps -aef
6617     22657     1  0 Jul01 ?        00:01:53 /usr/sbin/haproxy -f /var/lib/openshift/5188855c500446001f0000c4/haproxy//conf/haproxy.cfg
6617     22711     1  0 Jul01 ?        00:01:39 haproxy_ctld.rb                                                                              
6617     22747     1  0 Jul01 ?        00:00:00 /bin/sh /var/lib/openshift/5188855c500446001f0000c4/jbossas//bin/standalone.sh
6617     23004 22747  0 Jul01 ?        00:27:06 /usr/lib/jvm/jre-1.7.0/bin/java -D[Standalone] -server -XX:+TieredCompilation -Xmx256m -XX:MaxPermSize=102m -XX:+AggressiveOpts -Dorg.apache.tomcat.util.LOW_MEMORY=true -DOPENSHIFT_APP_UUID=
Comment 4 Mrunal Patel 2013-07-05 11:13:07 EDT
Could you try these steps?
1. ~/haproxy/bin/control stop
2. ~/haproxy/bin/control start

Thanks,
Mrunal
Comment 5 tim.de.roock 2013-07-06 05:38:57 EDT
Mrunal,

This worked. 
I can now ctl_app stop and start.

Thanks!
Comment 6 Mrunal Patel 2013-07-08 15:26:53 EDT
Closing this issue and it isn't reproducible and the user had modified haproxy configuration file.

Note You need to log in before you can comment on or make changes to this bug.